Skip to content
Status

Get an account

GEThttps://app.shuttleglobal.com/c/api/instances/{instance_key}/accounts/{account_id}

GET
/accounts/{account_id}

Retrieve a single account by its ID or crm_key.

account_id
required
string

The account’s ID (acc_...), or its crm_key. If more than one account has that crm_key, the most recently updated one is used.

expand
string

Fields to expand into full objects. Available fields:

  • created_session
  • last_transaction
  • updated_session

Account details

Media typeapplication/json
object
account
object

A customer account object. Contains all information about a customer including their contact details, status, and metadata.

IMPORTANT: The bolton_values field is managed internally by the system and should not be modified or referenced directly in tests or integrations. Always use the standard top-level fields (company, email, phone, etc.) when creating, updating, or querying accounts.

object
address
object

Address fields. All fields are optional and any values are accepted to prevent interrupting payments due to address validation issues. Field behavior:

  1. When updating an address, the entire address object is replaced with the new values
  2. To clear/null out all address fields, set each field to an empty string Client applications can implement their own validation if needed.
object
country
string

Country code (any format accepted). Set to empty string to clear.

line1
string

First line of the address. Set to empty string to clear.

line2
string

Second line of the address. Set to empty string to clear.

line3
string

Third line of the address. Set to empty string to clear.

line4
string

City/Town. Set to empty string to clear.

line5
string

Postcode/ZIP. Set to empty string to clear.

line6
string

State/Region. Set to empty string to clear.

bolton_values
object

Enterprise Feature: Internal system values. This field is only relevant for enterprise customers and should be ignored by other users.

object
key
additional properties
any
channels
Array<string>

List of channels that have permission to see this account. When an account makes a payment against a channel, they are automatically added to that channel.

code
string

Account code

company
string

Company name

created
string · date-time

Account creation timestamp

created_session
string

Session ID when the account was created

Pattern /^ses_[0-9]+_[0-9]+$/
crm
string

Enterprise Feature: The CRM system identifier. This field is only relevant for enterprise customers and should be ignored by other users.

crm_key
string

Your identifier for the account

disconnected_account
boolean

Enterprise Feature: Indicates if this account is disconnected from the enterprise CRM system. This field is only relevant for enterprise customers and should be ignored by other users.

divisions
Array<string>

List of divisions that have permission to see this account. A division can be added to this list directly via the API, or is automatically added when an account makes a payment against either (1) a channel that belongs to the division or (2) an initiative that belongs to the division.

email
string

Email address. Invalid addresses are accepted to prevent interrupting payments due to email validation issues. Client applications can implement their own validation if needed.

first_name
string

First name of the account holder

full_address
string

Formatted full address

giftaid_ineligible
boolean

Indicates the account is excluded from Gift Aid eligibility (GB donations)

id
string

Unique identifier for the account

Pattern /^acc_[0-9]+_[0-9]+$/
initiatives
Array<string>

List of initiatives that this account has performed payments against. When an account makes a payment against an initiative, it is automatically added to this list.

last_name
string

Last name of the account holder

last_transacted
string · date-time

Timestamp of last transaction

last_transaction
string

ID of last transaction

locale
string

Locale of the user

metadata
object

Custom key-value pairs stored on the account

object
key
additional properties
string
name
string

Full name of the account holder

phone
string

Phone number. Any format is accepted to prevent interrupting payments due to phone validation issues. Client applications can implement their own validation if needed.

status
string · enum

Account status

Allowed values: ACTIVE TEMP
tags
string

CSV of tags/references

timezone
string

Timezone in IANA format

updated
string · date-time

Last update timestamp

updated_session
string

Session ID when the account was last updated

Pattern /^ses_[0-9]+_[0-9]+$/
v
integer

Object version for optimistic concurrency control

Bad request

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Authentication required

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Example
{
"code": "UNAUTHORIZED",
"message": "Unauthorised"
}

Resource not found

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Internal server error

Media typeapplication/json
object
error
object
object
type
string
message
string

Was this page helpful?